package org.cs.snc;

import javafx.scene.image.Image;
import java.util.ArrayList;


// This class is used to send data from RunScene to FinalScene.
public class AfterAlgorithmData {

    private final ArrayList<Image> images;
    private final long finalFitness;
    private final int totalTimeInSeconds;
    private final int numOfGenerations;


    public AfterAlgorithmData(ArrayList<Image> images, long finalFitness, int totalTimeInSeconds, int numOfGenerations) {
        this.images = images;
        this.finalFitness = finalFitness;
        this.totalTimeInSeconds = totalTimeInSeconds;
        this.numOfGenerations = numOfGenerations;
    }


    public ArrayList<Image> getImages() {
        return this.images;
    }

    public long getFinalFitness() {
        return this.finalFitness;
    }

    public int getTotalTimeInSeconds() {
        return this.totalTimeInSeconds;
    }

    public int getNumOfGenerations() {
        return this.numOfGenerations;
    }
}
