package org.cs.snc;

import java.awt.image.BufferedImage;


// This class is used to send data from ConfigScene to RunScene.
public class AlgorithmData {

    private final int numOfIndividualsPerGeneration;
    private final int numOfPolygonsPerIndividual;
    private final int numOfVertices;
    private final double mutationChance;
    private final double crossoverRatio;
    private final boolean randomInheritance;
    private final boolean elitism;
    private final BufferedImage importedBuffIm;

    public AlgorithmData(int numOfIndividualsPerGeneration, int numOfPolygonsPerIndividual, int numOfVertices, double mutationChance, double crossoverRatio, boolean randomInheritance, boolean elitism, BufferedImage importedBuffIm) {
        this.numOfIndividualsPerGeneration = numOfIndividualsPerGeneration;
        this.numOfPolygonsPerIndividual = numOfPolygonsPerIndividual;
        this.numOfVertices = numOfVertices;
        this.mutationChance = mutationChance;
        this.crossoverRatio = crossoverRatio;
        this.randomInheritance = randomInheritance;
        this.elitism = elitism;
        this.importedBuffIm = importedBuffIm;
    }


    public int getNumOfIndividualsPerGeneration() {
        return this.numOfIndividualsPerGeneration;
    }

    public int getNumOfPolygonsPerIndividual() {
        return this.numOfPolygonsPerIndividual;
    }

    public int getNumOfVertices() {
        return this.numOfVertices;
    }

    public double getMutationChance() {
        return this.mutationChance;
    }

    public double getCrossoverRatio() {
        return this.crossoverRatio;
    }

    public boolean getRandomInheritance() {
        return this.randomInheritance;
    }

    public boolean getElitism() {
        return this.elitism;
    }

    public BufferedImage getImportedBuffIm() {
        return this.importedBuffIm;
    }
}
